Bug 741335 - changes to allow auto-healing from rhsmcertd
Summary: changes to allow auto-healing from rhsmcertd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 6.2
Assignee: Bryan Kearney
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel62
TreeView+ depends on / blocked
 
Reported: 2011-09-26 15:43 UTC by Jesus M. Rodriguez
Modified: 2011-12-06 17:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:24:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
actual approved changes (3.12 KB, patch)
2011-09-26 15:46 UTC, Jesus M. Rodriguez
no flags Details | Diff
verification (27.62 KB, text/plain)
2011-10-10 19:40 UTC, J.C. Molet
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1695 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2011-12-06 01:23:29 UTC

Description Jesus M. Rodriguez 2011-09-26 15:43:22 UTC
Client needs changes for auto-healing

Comment 1 Jesus M. Rodriguez 2011-09-26 15:46:19 UTC
Created attachment 524931 [details]
actual approved changes

Comment 7 J.C. Molet 2011-10-10 19:40:00 UTC
Created attachment 527305 [details]
verification

rhsm now attempts to heal upon ever rhsmcertd restart, and whenever its heal_frequency is reached.

VERIFIED against: 
subscription-manager-gnome-0.96.13-1.git.5.2e86717.el6.x86_64
subscription-manager-0.96.13-1.git.5.2e86717.el6.x86_64
python-rhsm-0.96.13-1.git.0.a237980.el6.noarch
subscription-manager-firstboot-0.96.13-1.git.5.2e86717.el6.x86_64

The attached shows that a heal was automatically done after the daemon restarted.

Comment 8 errata-xmlrpc 2011-12-06 17:24:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1695.html


Note You need to log in before you can comment on or make changes to this bug.